slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSCISSSetQuadRule

Sets the quadrature rule used in the CISS solver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSSetQuadRule(EPS eps,EPSCISSQuadRule quad)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| quad | - the quadrature rule

### Options Database Key

| -eps_ciss_quadrule | - Sets the quadrature rule (either 'trapezoidal' or 'chebyshev')

### Notes

By default, the trapezoidal rule is used (EPS_CISS_QUADRULE_TRAPEZOIDAL).

If the 'chebyshev' option is specified (EPS_CISS_QUADRULE_CHEBYSHEV), then Chebyshev points are used as quadrature points.

### See Also

EPSCISSGetQuadRule(), EPSCISSQuadRule

### Level

advanced

### Location

src/eps/impls/ciss/ciss.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages